package com.dcsoft.system.mapper;

import java.util.List;

import com.dcsoft.system.domain.SysSyncItem;
import com.dcsoft.system.domain.SysSyncRule;
import org.apache.ibatis.annotations.Param;

/**
 * 同步规则Mapper接口
 *
 * @author nichun
 * @date 2024-01-11
 */
public interface SysSyncRuleMapper
{
    /**
     * 查询同步规则
     *
     * @param id 同步规则主键
     * @return 同步规则
     */
    public SysSyncRule selectSysSyncRuleById(Long id);

    /**
     * 查询同步规则列表
     *
     * @param sysSyncRule 同步规则
     * @return 同步规则集合
     */
    public List<SysSyncRule> selectSysSyncRuleList(SysSyncRule sysSyncRule);

    /**
     * 新增同步规则
     *
     * @param sysSyncRule 同步规则
     * @return 结果
     */
    public int insertSysSyncRule(SysSyncRule sysSyncRule);

    /**
     * 修改同步规则
     *
     * @param sysSyncRule 同步规则
     * @return 结果
     */
    public int updateSysSyncRule(SysSyncRule sysSyncRule);

    /**
     * 删除同步规则
     *
     * @param id 同步规则主键
     * @return 结果
     */
    public int deleteSysSyncRuleById(Long id);

    /**
     * 批量删除同步规则
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysSyncRuleByIds(Long[] ids);

    public int insetSysSyncRuleItem(SysSyncItem item);


    public int deleteSysSyncRuleItem(Long id);

    List<SysSyncItem> selectSysSyncRuleItem(Long id);

    List<SysSyncRule> selectSysSyncItemRuleList(SysSyncRule rule);

    /**
     * 查询园区对映的部门
     * @param tdGuid
     * @return
     */
    List<SysSyncItem> queryParkDept(String tdGuid);
}
